<?php



    add_filter( 'pre_set_site_transient_update_plugins', 'yop_poll_check_for_plugin_update' );

    function yop_poll_check_for_plugin_update( $checked_data ) {


        $api_url     = 'http://yop-poll.com/yop-poll-pro/';

        $plugin_slug = basename( dirname( dirname( __FILE__ ) ) );



        //Comment out these two lines during testing .

        if( empty( $checked_data->checked ) ) {

            return $checked_data;

        }



        $args           = array(

            'slug'    => $plugin_slug,

            'version' => $checked_data->checked[$plugin_slug . '/' . $plugin_slug . '.php'],

        );

        $pro_options    = get_option( 'yop_poll_pro' );

        $domain         = isset( $_SERVER['HTTP_HOST'] ) ? $_SERVER['HTTP_HOST'] : $_SERVER['SERVER_NAME'];

        $request_string = array(

            'body'       => array(

                'action'  => 'basic_check',

                'request' => serialize( $args ),

                'domain'  => $domain,

                'license' => $pro_options['pro_key']

            ),

            'user-agent' => 'WordPress/' . YOP_POLL_WP_VERSION . '; ' . get_bloginfo( 'url' )

        );



        // Start checking for an update

        $raw_response = wp_remote_post( $api_url, $request_string );



        if( ! is_wp_error( $raw_response ) && ( $raw_response['response']['code'] == 200 ) ) {

            $response = unserialize( $raw_response['body'] );

        }

        if( is_object( $response ) && ! empty( $response ) ) // Feed the update data into WP updater

        {

            $checked_data->response[$plugin_slug . '/' . $plugin_slug . '.php'] = $response;

        }



        return $checked_data;

    }



    add_filter( 'plugins_api', 'yop_poll_plugin_api_call', 10, 3 );

    function yop_poll_plugin_api_call( $def, $action, $args ) {

        $api_url     = 'http://yop-poll.com/yop-poll-pro/';

        $plugin_slug = basename( dirname( dirname( __FILE__ ) ) );



        if( ! isset( $args->slug ) || ( $args->slug != $plugin_slug ) ) {

            return false;

        }



        // Get the current version

        $plugin_info     = get_site_transient( 'update_plugins' );

        $current_version = $plugin_info->checked[$plugin_slug . '/' . $plugin_slug . '.php'];

        $args->version   = $current_version;



        $request_string = array(

            'body'       => array(

                'action'  => $action,

                'request' => serialize( $args ),

                'api-key' => md5( get_bloginfo( 'url' ) )

            ),

            'user-agent' => 'WordPress/' . YOP_POLL_WP_VERSION . '; ' . get_bloginfo( 'url' )

        );



        $request = wp_remote_post( $api_url, $request_string );



        if( is_wp_error( $request ) ) {

            $res = new WP_Error( 'plugins_api_failed', __( 'An Unexpected HTTP Error occurred during the API request.</p> <p><a href="?" onclick="document.location.reload(); return false;">Try again</a>' ), $request->get_error_message() );

        }

        else {

            $res = unserialize( $request['body'] );



            if( $res === false ) {

                $res = new WP_Error( 'plugins_api_failed', __( 'An unknown error occurred' ), $request['body'] );

            }

        }

        return $res;

    }